Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owl.model
Interface OWLObjectProperty

All Superinterfaces:
  Cloneable, OWLDeprecatableObject, OWLEntity, OWLNamedObject, OWLObject, OWLOntologyObject, OWLProperty, Serializable

All Known Implementing Classes:
  OWLObjectPropertyImpl

public interface OWLObjectProperty
extends OWLProperty

An `OWLProperty` whose range is a class (a collection of domain objects).

Version:
  $Id: OWLObjectProperty.java,v 1.1.1.1 2003/10/14 17:10:08 sean_bechhofer Exp $

Method Summary
`Set` | `getInverses(OWLOntology o)` Return all inverses asserted in the given ontology.
`Set` | `getInverses(Set ontologies)` Return all inverses asserted in the given ontologies.
`boolean` | `isInverseFunctional(OWLOntology o)` Returns `true` if the property is asserted to be inverse functional (in the given ontology).
`boolean` | `isInverseFunctional(Set ontologies)` Returns `true` if the property is asserted to be inverse functional (in the given ontologies).
`boolean` | `isOneToOne(OWLOntology o)` Returns `true` if the property is asserted to be oneToOne (in the given ontology).
`boolean` | `isOneToOne(Set ontologies)` Returns `true` if the property is asserted to be oneToOne (in the given ontologies).
`boolean` | `isSymmetric(OWLOntology o)` Returns `true` if the property is asserted to be symmetric (in the given ontology).
`boolean` | `isSymmetric(Set ontologies)` Returns `true` if the property is asserted to be symmetric (in the given ontologies).
`boolean` | `isTransitive(OWLOntology o)` Returns `true` if the property is asserted to be transitive (in the given ontology).
`boolean` | `isTransitive(Set ontologies)` Returns `true` if the property is asserted to be transitive (in the given ontology).

Methods inherited from interface org.semanticweb.owl.model.OWLProperty
`getDomains, getDomains, getRanges, getRanges, getSuperProperties, getSuperProperties, isFunctional, isFunctional`

Methods inherited from interface org.semanticweb.owl.model.OWLEntity
`accept`

Methods inherited from interface org.semanticweb.owl.model.OWLNamedObject
`getURI`

Methods inherited from interface org.semanticweb.owl.model.OWLObject
`accept, clone, getAnnotations, getAnnotations, getContainedObjects, getMetadata, getOWLConnection, getOWLDataFactory`

Methods inherited from interface org.semanticweb.owl.model.OWLOntologyObject
`getOntologies`

Methods inherited from interface org.semanticweb.owl.model.OWLDeprecatableObject
`isDeprecated`

Method Detail

### getInverses

    public Set getInverses(OWLOntology o)
                    throws OWLException

  Return all inverses asserted in the given ontology.

  Parameters:
    `o` - an `OWLOntology` value
  Returns:
    a `Set` value
    `OWLException`

### getInverses

    public Set getInverses(Set ontologies)
                    throws OWLException

  Return all inverses asserted in the given ontologies.

  Returns:
    a `Set` value
    `OWLException`

### isSymmetric

    public boolean isSymmetric(OWLOntology o)
                        throws OWLException

  Returns `true` if the property is asserted to be symmetric (in the given ontology).

  Parameters:
    `o` - an `OWLOntology` value
  Returns:
    a `boolean` value
    `OWLException`

### isSymmetric

    public boolean isSymmetric(Set ontologies)
                        throws OWLException

  Returns `true` if the property is asserted to be symmetric (in the given ontologies).

  Returns:
    a `boolean` value
    `OWLException`

### isInverseFunctional

    public boolean isInverseFunctional(OWLOntology o)
                                throws OWLException

  Returns `true` if the property is asserted to be inverse functional (in the given ontology).

  Parameters:
    `o` - an `OWLOntology` value
  Returns:
    a `boolean` value
    `OWLException`

### isInverseFunctional

    public boolean isInverseFunctional(Set ontologies)
                                throws OWLException

  Returns `true` if the property is asserted to be inverse functional (in the given ontologies).

  Returns:
    a `boolean` value
    `OWLException`

### isOneToOne

    public boolean isOneToOne(OWLOntology o)
                       throws OWLException

  Returns `true` if the property is asserted to be oneToOne (in the given ontology).

  Parameters:
    `o` - an `OWLOntology` value
  Returns:
    a `boolean` value
    `OWLException`

### isOneToOne

    public boolean isOneToOne(Set ontologies)
                       throws OWLException

  Returns `true` if the property is asserted to be oneToOne (in the given ontologies).

  Returns:
    a `boolean` value
    `OWLException`

### isTransitive

    public boolean isTransitive(OWLOntology o)
                         throws OWLException

  Returns `true` if the property is asserted to be transitive (in the given ontology).

  Parameters:
    `o` - an `OWLOntology` value
  Returns:
    a `boolean` value
    `OWLException`

### isTransitive

    public boolean isTransitive(Set ontologies)
                         throws OWLException

  Returns `true` if the property is asserted to be transitive (in the given ontology).

  Returns:
    a `boolean` value
    `OWLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WonderWeb